Page MenuHomePhabricator

AMDGPU: Prepare for explicit absolute relocations in code generation
ClosedPublic

Authored by nhaehnle on May 3 2019, 5:02 AM.

Details

Summary

We will use absolute relocations for LDS symbols.

Change-Id: I9a32795ed0ea835e433a787129cfe3c57ee9a325

Diff Detail

Repository
rL LLVM

Event Timeline

nhaehnle created this revision.May 3 2019, 5:02 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 3 2019, 5:02 AM
arsenm added inline comments.May 3 2019, 5:53 AM
lib/Target/AMDGPU/SIInstrInfo.cpp
5536–5538 ↗(On Diff #197960)

Should add tests in test/CodeGen/MIR/AMDGPU

nhaehnle updated this revision to Diff 198438.May 7 2019, 4:48 AM
nhaehnle marked an inline comment as done.

Add a test/CodeGen/MIR/AMDGPU test.

arsenm accepted this revision.May 19 2019, 8:58 AM

LGTM with nit

lib/Target/AMDGPU/MCTargetDesc/SIMCCodeEmitter.cpp
405–408 ↗(On Diff #198438)

return Kind != lo && Kind != Hi

This revision is now accepted and ready to land.May 19 2019, 8:58 AM
nhaehnle marked 2 inline comments as done.Sun, Jun 16, 10:40 AM
nhaehnle added inline comments.
lib/Target/AMDGPU/MCTargetDesc/SIMCCodeEmitter.cpp
405–408 ↗(On Diff #198438)

Yeah, that makes sense. Thanks!

This revision was automatically updated to reflect the committed changes.